Bug 60291 - One file system, multiple mount (via RAID and directly)
One file system, multiple mount (via RAID and directly)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-24 10:24 EST by Gabriele Turchi
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-24 10:24:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriele Turchi 2002-02-24 10:24:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20020104

Description of problem:
Sometimes a system with 4 RAID 1 file systems (stored on 2 SCSI HD) on boot
mounts one of them via the low level device too.
The file systems was created via anaconda and kickstart.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Reboot system (tipically happed after a poweroff)
2.
3.
	

Actual Results:  One file system appear to be mounted twice. As example, if
/dev/md0 is formed by /dev/sda3 and /dev/sdb3 via mount I can see the file
system mounted as /dev/md0 and as /dev/sda3 on the same mount point.

Expected Results:  Normally running system, with the /dev/md0 file system
mounted only once.

Additional info:

Apparently the mount procedure sees two different disks (the RAID one and the
low level one) with the same label (in fstab anaconda uses LABEL= syntax) and
mounts both of them.
Removing LABELs from the fstab the problem never surfaced.

P.S.: I'm sorry, my english is alpha version
Comment 1 Elliot Lee 2002-03-11 14:51:58 EST
util-linux-2.11n-8 fixes this

Note You need to log in before you can comment on or make changes to this bug.